module cm3_tscnt_48 (

  input wire         clk,
  input wire         resetn,

  input wire        enablecnt_i,


  output wire [47:0] tsvalueb_o

  );

  wire [48:0] tsvalueb_nxt;
  reg  [47:0] tsvalueb;


  assign tsvalueb_nxt = tsvalueb + {{47{1'b0}}, 1'b1};

  always @(posedge clk or negedge resetn)
    if (!resetn) begin
      tsvalueb <= {48{1'b0}};
    end else if (enablecnt_i) begin
      tsvalueb <= tsvalueb_nxt[47:0];
    end

  assign tsvalueb_o = tsvalueb;

endmodule
