module DAPDpClamp0 (/*AUTOARG*/
  nPWRDN, NetIn,
  NetOut
  );

  parameter             DP_PRESENT = 1;
  parameter             WIDTH = 1;

  input     [WIDTH-1:0] NetIn;  // net(s) to be clamped
  input                 nPWRDN; // power down signal
  output    [WIDTH-1:0] NetOut; // net(s) output signal

  assign NetOut = (DP_PRESENT != 0) ? {WIDTH{nPWRDN}} & NetIn : {WIDTH{1'b0}};

endmodule
